package cn.bunny.service.test;

import cn.bunny.entity.system.user.User;
import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;
import org.apache.velocity.app.Velocity;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.Properties;

// @SpringBootTest
public class TestVelocity {
    @Test
    void testStart() throws IOException {
        // 设置加载类
        Properties properties = new Properties();
        properties.put("file.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
        Velocity.init(properties);
        // 创建Velocity容器
        VelocityContext context = new VelocityContext();
        context.put("name", "舒纹");
        // 加载模板
        Template template = Velocity.getTemplate("vms/01-quickStart.vm", "UTF-8");

        FileWriter fileWriter = new FileWriter("D:\\BaiduNetdiskDownload\\java项目\\Velocity\\demo1\\service\\src\\main\\resources\\html\\01-quickStart.html");
        template.merge(context, fileWriter);
        fileWriter.close();
    }

    @Test
    void test02() throws IOException {
        // 设置加载类
        Properties properties = new Properties();
        properties.put("file.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
        Velocity.init(properties);
        // 创建Velocity容器
        VelocityContext context = new VelocityContext();
        context.put("name", "舒纹");
        // 加载模板
        Template template = Velocity.getTemplate("vms/02-quickStart.vm", "UTF-8");
        FileWriter fileWriter = new FileWriter("D:\\BaiduNetdiskDownload\\java项目\\Velocity\\demo1\\service\\src\\main\\resources\\html\\02-quickStart.html");
        template.merge(context, fileWriter);
        fileWriter.close();
    }

    @Test
    void test03() throws IOException {
        Properties properties = new Properties();
        properties.put("file.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
        Velocity.init(properties);
        // 创建用户对象
        User user = new User();
        user.setEmail("user@example.com");
        user.setNickName("啊哈哈哈哈");
        user.setPassword("********");
        user.setSex((byte) 1);
        // 创建Velocity容器
        VelocityContext context = new VelocityContext();
        context.put("user", user);

        Template template = Velocity.getTemplate("vms/03demo.vm", "UTF-8");
        FileWriter fileWriter = new FileWriter("D:\\BaiduNetdiskDownload\\java项目\\Velocity\\demo1\\service\\src\\main\\resources\\html\\03demo.html");
        template.merge(context, fileWriter);
        fileWriter.close();
    }

    @Test
    void test04() throws IOException {
        Properties properties = new Properties();
        properties.put("file.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
        Velocity.init(properties);
        // 创建用户对象
        User user = new User();
        user.setEmail("user@example.com");
        user.setNickName("啊哈哈哈哈");
        user.setPassword("********");
        user.setSex((byte) 1);
        // 创建Velocity容器
        VelocityContext context = new VelocityContext();
        context.put("user", user);

        Template template = Velocity.getTemplate("vms/04 demo.vm", "UTF-8");
        FileWriter fileWriter = new FileWriter("D:\\BaiduNetdiskDownload\\java项目\\Velocity\\demo1\\service\\src\\main\\resources\\html\\04 demo.html");
        template.merge(context, fileWriter);
        fileWriter.close();
    }

    @Test
    void test05() throws IOException {
        Properties properties = new Properties();
        properties.put("file.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
        Velocity.init(properties);
        // 创建用户对象
        User user = new User();
        user.setEmail("user@example.com");
        user.setNickName("啊哈哈哈哈");
        user.setPassword("********");
        user.setSex((byte) 1);
        // 创建Velocity容器
        VelocityContext context = new VelocityContext();
        context.put("user", user);

        Template template = Velocity.getTemplate("vms/05 demo.vm", "UTF-8");
        FileWriter fileWriter = new FileWriter("D:\\BaiduNetdiskDownload\\java项目\\Velocity\\demo1\\service\\src\\main\\resources\\html\\05 demo.html");
        template.merge(context, fileWriter);
        fileWriter.close();
    }

    @Test
    void test06() throws IOException {
        Properties properties = new Properties();
        properties.put("file.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
        Velocity.init(properties);
        // 创建用户对象
        User user = new User();
        user.setEmail("user@example.com");
        user.setNickName("啊哈哈哈哈");
        user.setPassword("********");
        user.setSex((byte) 1);
        // 创建Velocity容器
        VelocityContext context = new VelocityContext();
        context.put("user", user);

        Template template = Velocity.getTemplate("vms/06 demo.vm", "UTF-8");
        FileWriter fileWriter = new FileWriter("D:\\BaiduNetdiskDownload\\java项目\\Velocity\\demo1\\service\\src\\main\\resources\\html\\06 demo.html");
        template.merge(context, fileWriter);
        fileWriter.close();
    }

    @Test
    void test07() throws IOException {
        Properties properties = new Properties();
        properties.put("file.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
        Velocity.init(properties);
        // 创建用户对象
        User user = new User();
        user.setEmail("user@example.com");
        user.setNickName("啊哈哈哈哈");
        user.setPassword("********");
        user.setSex((byte) 1);

        ArrayList<User> users = new ArrayList<>();
        users.add(user);
        users.add(user);
        users.add(user);
        users.add(user);
        // 创建Velocity容器
        VelocityContext context = new VelocityContext();
        context.put("users", users);

        Template template = Velocity.getTemplate("vms/07 demo.vm", "UTF-8");
        FileWriter fileWriter = new FileWriter("D:\\BaiduNetdiskDownload\\java项目\\Velocity\\demo1\\service\\src\\main\\resources\\html\\07 demo.html");
        template.merge(context, fileWriter);
        fileWriter.close();
    }

    @Test
    void test08() throws IOException {
        Properties properties = new Properties();
        properties.put("file.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
        Velocity.init(properties);
        // 创建用户对象
        User user = new User();
        user.setEmail("user@example.com");
        user.setNickName("啊哈哈哈哈");
        user.setPassword("********");
        user.setSex((byte) 1);

        ArrayList<User> users = new ArrayList<>();
        users.add(user);
        users.add(user);
        users.add(user);
        users.add(user);
        // 创建Velocity容器
        VelocityContext context = new VelocityContext();
        context.put("users", users);

        Template template = Velocity.getTemplate("vms/08 demo.vm", "UTF-8");
        FileWriter fileWriter = new FileWriter("D:\\BaiduNetdiskDownload\\java项目\\Velocity\\demo1\\service\\src\\main\\resources\\html\\08 demo.html");
        template.merge(context, fileWriter);
        fileWriter.close();
    }

    @Test
    void test09() throws IOException {
        Properties properties = new Properties();
        properties.put("file.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
        Velocity.init(properties);
        // 创建用户对象
        User user = new User();
        user.setEmail("user@example.com");
        user.setNickName("啊哈哈哈哈");
        user.setPassword("********");
        user.setSex((byte) 1);

        ArrayList<User> users = new ArrayList<>();
        users.add(user);
        users.add(user);
        users.add(user);
        users.add(user);
        // 创建Velocity容器
        VelocityContext context = new VelocityContext();
        context.put("users", users);

        Template template = Velocity.getTemplate("vms/09 demo.vm", "UTF-8");
        FileWriter fileWriter = new FileWriter("D:\\BaiduNetdiskDownload\\java项目\\Velocity\\demo1\\service\\src\\main\\resources\\html\\09 demo.html");
        template.merge(context, fileWriter);
        fileWriter.close();
    }

    @Test
    void test10() throws IOException {
        Properties properties = new Properties();
        properties.put("file.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
        Velocity.init(properties);
        // 创建用户对象
        User user = new User();
        user.setEmail("user@example.com");
        user.setNickName("啊哈哈哈哈");
        user.setPassword("********");
        user.setSex((byte) 1);

        ArrayList<User> users = new ArrayList<>();
        users.add(user);
        users.add(user);
        users.add(user);
        users.add(user);
        // 创建Velocity容器
        VelocityContext context = new VelocityContext();
        context.put("code", "$arr");
        context.put("users", users);

        Template template = Velocity.getTemplate("vms/10 demo.vm", "UTF-8");
        FileWriter fileWriter = new FileWriter("D:\\BaiduNetdiskDownload\\java项目\\Velocity\\demo1\\service\\src\\main\\resources\\html\\10 demo.html");
        template.merge(context, fileWriter);
        fileWriter.close();
    }
}
