package cn.bunny.service.test;

import org.apache.velocity.Template;
import org.apache.velocity.app.Velocity;
import org.apache.velocity.app.VelocityEngine;
import org.apache.velocity.context.Context;
import org.apache.velocity.tools.ToolManager;
import org.junit.jupiter.api.Test;

import java.io.FileWriter;
import java.util.Date;

public class TestVelocityTools {
    @Test
    void testVelocity() throws Exception {
        // 创建引擎
        VelocityEngine ve = new VelocityEngine();
        // 设置模板加载路径，这里设置的是class下
        ve.setProperty(Velocity.RESOURCE_LOADER, "class");
        ve.setProperty("class.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
        // 进行初始化操作
        ve.init();

        // 加载toolbox
        ToolManager manager = new ToolManager();
        manager.configure("tools.xml");

        // 加载模板，设定模板编码
        Template tpl = ve.getTemplate("vms/java/demo 01.vm", "UTF-8");

        // 设置初始化数据
        Context context = manager.createContext();
        context.put("now", new Date());

        FileWriter fw = new FileWriter("D:\\MyFolder\\velocity-demo\\service\\src\\main\\resources\\html\\demo1.html");
        // 合并数据到模板
        tpl.merge(context, fw);
        // 释放资源
        fw.close();
    }
}
